package types

// Project is a struct that holds the information about a project
type Project struct {
	ID          int    `json:"id" db:"id"`
	Name        string `json:"name" db:"name"`
	Description string `json:"description" db:"description"`
	Owner       string `json:"owner" db:"owner_user_id"`
}

// As it arrives from the client
type NewProject struct {
	Name        string `json:"name"`
	Description string `json:"description"`
	Owner       string `json:"owner"`
}
